
Redmine - Feature #429

Merge Home and My page

2007-09-09 23:07 - Damien McKenna

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The Home and My Page pages should be merged into one.  The easiest way to do this IMHO would be to completely drop the

Home page and make My Page the default.  To replace the current Home page simply create a way of customizing the default

My Page contents, which would be viewed by anyone not logged in (presuming Authent. Required is not enabled).

Related issues:

Related to Redmine - Feature #1233: change default homepage to My page New 2008-05-13

History

#1 - 2007-09-11 10:00 - Damien McKenna

Here's a custom block for the My Page to display the welcome

text.  Here's

the diff to make it work:

Index: app/controllers/my_controller.rb =============================================== ====================

--- app/controllers/my_controller.rb    (revision 721)

++ app/controllers/my_controller.rb    (working copy)

@ -24,7 +24,8 @

-             'documents' => :label_document_plural

'documents' => :label_document_plural,

+             'welcome' => :setting_welcome_text

#2 - 2007-09-11 10:09 - Damien McKenna

Attached is a file to list the latest projects, suitable for

the My Page view.  Here

are the changes required for the my_controller.rb file:

-             'documents' => :label_document_plural

+             'documents' => :label_document_plural,

+             'latestprojects' => :label_project_latest

#3 - 2013-03-18 04:37 - Dipan Mehta

You can do exactly the same thing using Redmine Start Page plugin

Install, and config [ contoller= my , action = page ]

#4 - 2013-04-09 22:56 - Filou Centrinov

Category: My page

#5 - 2013-04-10 04:08 - Toshi MARUYAMA

- Description updated

- Category set to My page

Files

_welcome.rhtml 41 Bytes 2008-02-03 Damien McKenna

_latestprojects.rhtml 353 Bytes 2008-02-03 Damien McKenna
